/* Add vendor prefixes for better cross-browser support */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&family=Raleway:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.cdnfonts.com/css/derivia');
@import url('https://fonts.cdnfonts.com/css/inria-serif');
@import url('https://fonts.googleapis.com/css2?family=Josefin+Slab:ital,wght@0,100..700;1,100..700&display=swap');

html {
    width: 100%;
    overflow-x: hidden;
}

body {
    font-family: "Josefin Slab", serif;
    font-weight: 500;
    margin: 0;
    padding: 0;
    width: 100%;
    overflow-x: hidden;
    color: rgb(235, 235, 235);
    background-color: rgb(25, 25, 25);
}

.background {
    background: linear-gradient(180deg, rgba(25, 25, 25,1) 0%, rgba(25,25,25,1) 15%, rgba(25,25,25,0.1) 20%, rgba(25, 25, 25,0.1) 100%);
    background-image: url(../images/bg/law-wallpaper-1.jpeg);
    position: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    opacity: 60%;
    bottom: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: -10;
    filter: blur(4px);
}

header {
    opacity: 0%;
    display: flex;
    justify-content: space-between;
    width: 100%;
    color: #fff;
    text-align: center;
    padding: 30px;
    padding-left: 50px;
    position: sticky;
    top: 0px;
    z-index: 100;
    backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, 0.5);
}

footer {
    position: relative;
    bottom: 0px;
    left: 0px;
    width: 100%;
    color: #fff;
    text-align: center;
    padding: 30px;
    padding-right: 0px;
    backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, 0.3);
}

h1 {
    font-weight: 400;
    font-family: "Derivia", serif;
    text-align: center;
    font-size: 50px;
    padding: 0px 0;
    height: 50px;
    margin: 0px;
    text-shadow: #000000 0px 0px 10px;
}

h2 {
    font-weight: 400;
    font-family: "Derivia", serif;
    text-align: center;
    font-size: 40px;
    padding: 0px 0;
    margin: 0px;
    text-shadow: #000000 0px 0px 10px;
}

h3 {
    font-weight: 400;
    font-size: 30px;
    margin: 0px;
    width: 100%;
    text-align: center;
    vertical-align: middle;
    text-shadow: #000000 0px 0px 10px;
}

h4 {
    font-weight: 400;
    font-size: 25px;
    margin: 0px;
    padding-top: 12px;
    padding-left: 10px;
    padding-right: 0px;
    width: 100%;
    text-align: center;
    vertical-align: middle;
    text-shadow: #000000 0px 0px 10px;
}

form {
    width: 60%;
    margin: 0 auto;
    padding: 20px;
    background: #f9f9f9;
    border: 1px solid #363535;
    border-radius: 5px;
}

.center {
    margin: auto;
    text-align: center;
}

.vert-center {
    margin: auto;
    padding: 0px 0;
}

.para-right {
    right: 20px;
    float: right;
}

.para-left {
    left: 20px;
    float: left;
}

.paragraph {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 75px;
    width: 100%;
}

.image {
    max-width: 50%;
    margin-left: 5%;
    margin-right: 5%;
    transition-duration: 1s;
    transition-timing-function: ease-out;
}

.image-m {
    max-width: 40%;
    margin-left: 5%;
    margin-right: 5%;
    transition-duration: 1s;
    transition-timing-function: ease-out;
}

.image-s {
    max-width: 23%;
    margin-left: 5%;
    margin-right: 5%;
    transition-duration: 1s;
    transition-timing-function: ease-out;
}

.image:hover {
    transform: scale(1.05);
}

.image-m:hover {
    transform: scale(1.05);
}

.image-s:hover {
    transform: scale(1.05);
}

.shadow {
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 50px;
}

.text-shadow {
    text-shadow: rgba(0, 0, 0, 1) 0px 0px 5px;
}

.text {
    display: flex;
    flex-direction: column;
    padding-right: 5%;
    padding-left: 5%;
    width: 70%;
    max-width: 60vh;
    font-size: 20px;
    text-shadow: #000000 0px 0px 10px;
}

.text-l {
    font-weight: 500;
    display: flex;
    flex-direction: column;
    padding: 30px;
    max-width: 60%;
    font-size: 25px;
    text-shadow: #000000 0px 0px 10px;
}

.nav-button {
    padding: 10px 15px;
    padding-top: 17px;
    position: relative;
    display: inline-block;
    margin: 0 10px;
    color: #fff;
    text-decoration: none;
    height: 20px;
}

.nav-button:after {
    background: none repeat scroll 0 0 transparent;
    bottom: 0;
    content: "";
    display: block;
    height: 2px;
    left: 50%;
    position: absolute;
    background: #fff;
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    width: 0;
}

.nav-button:hover:after {
    width: 100%;
    left: 0;
}

.wide-screen {
    display: inline-block;
    vertical-align: middle;
    line-height: normal;
    padding: 0px 50px;
    padding-right: 75px;
}

.narrow-screen {
    display: none;
    position: fixed;
    padding: 0px;
    margin: 0px;
    padding-top: 10px;
    right: 10%;
}

.short {
    height: 20px;
}

.dropdown {
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 180px;
    z-index: 1;
}

.dropdown-content a {
    color: #fff;
    padding: 10px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: #555;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.maps {
    width: 40%;
}

.card {
    background-color: rgba(59, 59, 59, 0.8);
    color: white;
    width: 430px;
    height: 600px;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 20px;
    margin: 4%;
    transition-duration: 1s;
    transition-timing-function: ease-out;
}

.card:hover {
    transform: scale(1.05);
}

.img {
    width: 430px;
    height: 290px;
}

.card-container {
    display: flex;
    padding: 0px;
    padding-right: 15px;
    padding-top: 13px;
}

.icon {
    filter: invert();
    background-color: rgba(86, 122, 157, 0.8);
    height: 50px;
    padding: 13px;
}

.description {
    vertical-align: middle;
    justify-self: center;
    font-size: 20px;
    padding-left: 50px;
    padding-right: 50px;
}

.deactive {
    display: none;
}

.active {
    color: #000000;
}

.help-btn {
    display: block;
    background-color: rgba(10, 10, 10, 0.8);
    width: 40%;
    margin: 30px;
    padding: 40px;
    padding-top: 50px;
}

p {
    font-size: 25px;
}

.para-resp {
    height: 30%;
    font-size: 4vw;
}

.title-narrow {
    display: none;
}

.title-narrow-flex {
    display: none;
}

.sidebar {
    position: fixed;
    z-index: 100;
    left: -100%;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.75);
    transition: 0.5s;
    -webkit-transition: 0.5s;
}

.side-container {
    padding-left: 5%;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

.open {
    transform: translateX(100%);
    transition: 1s;
    overflow: hidden;
}

.hambu-side {
    transform: translateX(500%);
    transition: 0.75s;
    overflow: hidden;
}

.close-side {
    transition: 0.75s;
    overflow: hidden;
}

.hambu, .close {
    position: fixed;
    right: 7rem;
    top: 30px;
    height: 50px;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    z-index: 1000;
}
